package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsDocument;
import java.util.List;

public interface IPmsDocumentService {
    /**
     * 查询文档列表
     */
    List<PmsDocument> selectList(PmsDocument document);

    /**
     * 根据主键查询文档
     */
    PmsDocument selectById(Long id);

    /**
     * 新增文档
     */
    int insert(PmsDocument document);

    /**
     * 修改文档
     */
    int update(PmsDocument document);

    /**
     * 删除文档
     */
    int deleteById(Long id);

    /**
     * 批量删除文档
     */
    int deleteByIds(Long[] ids);
}
